package com.ssj.service.kmt.correctsys.dto;

import java.io.Serializable;

/**
 * @author yanghuan
 * @title: ApplyTeacherDto
 * @projectName ssj
 * @description: TODO
 * @date 2019/5/23 9:43
 */
public class ApplyTeacherDto implements Serializable {

    private static final long serialVersionUID=1L;

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    /**
     * 老师id
     */

  private String teacherId;
    /**
     *头像
     */

    private String imgUrl;

    /**
     *姓名
     */

    private String name;

    /**
     *学校
     */
    private String school;

    /**
     *科目
     */
    private String subject;

    /**
     *年级
     */
    private  String grade;

    /**
     *可批改时间
     */
    private String period;
    /**
     * 8:批改老师 13:匹配知识点老师
     */
    private int type;
    /**
     * 所属管理员
     */
    private String myManager;
    /**
     * 更新过的字段(多个字段用,隔开)
     */
    private String updateField;
    /**
     * 身份证正面
     */
    private String idFace;

    //身份证号
    private String idNumber;
    /**
     * 银行名（我的）
     */
    private String bankName;
    /**
     * 银行图标（我的）
     */
    private String bankIcon;
    /**
     * 持卡人姓名
     */
    private String cardholder;
    /**
     * 银行卡号
     */
    private String cardNumber;
    /**
     * 开户支行
     */
    private String bankBranch;

    /**
     * 注册时间
     */
    private String regisTime;

    public String getIdFace() {
        return idFace;
    }

    public void setIdFace(String idFace) {
        this.idFace = idFace;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankIcon() {
        return bankIcon;
    }

    public void setBankIcon(String bankIcon) {
        this.bankIcon = bankIcon;
    }

    public String getCardholder() {
        return cardholder;
    }

    public void setCardholder(String cardholder) {
        this.cardholder = cardholder;
    }

    public String getCardNumber() {
        return cardNumber;
    }

    public void setCardNumber(String cardNumber) {
        this.cardNumber = cardNumber;
    }

    public String getBankBranch() {
        return bankBranch;
    }

    public void setBankBranch(String bankBranch) {
        this.bankBranch = bankBranch;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getMyManager() {
        return myManager;
    }

    public void setMyManager(String myManager) {
        this.myManager = myManager;
    }

    public String getUpdateField() {
        return updateField;
    }

    public void setUpdateField(String updateField) {
        this.updateField = updateField;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSchool() {
        return school;
    }

    public void setSchool(String school) {
        this.school = school;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getPeriod() {
        return period;
    }

    public void setPeriod(String period) {
        this.period = period;
    }

    public String getRegisTime() { return regisTime; }

    public void setRegisTime(String regisTime) { this.regisTime = regisTime; }

    public String getIdNumber() {
        return idNumber;
    }

    public void setIdNumber(String idNumber) {
        this.idNumber = idNumber;
    }
}
